| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations
xml.h File Reference

## Classes
class | wxXmlNode
| Represents a node in an XML document. More...
class | wxXmlAttribute
| Represents a node attribute. More...
class | wxXmlDocument
| This class holds XML data/document as parsed by XML parser in the root node. More...

## Macros
#define | wxXML_NO_INDENTATION (-1)

## Enumerations
enum | wxXmlNodeType { wxXML_ELEMENT_NODE = 1, wxXML_ATTRIBUTE_NODE = 2, wxXML_TEXT_NODE = 3, wxXML_CDATA_SECTION_NODE = 4, wxXML_ENTITY_REF_NODE = 5, wxXML_ENTITY_NODE = 6, wxXML_PI_NODE = 7, wxXML_COMMENT_NODE = 8, wxXML_DOCUMENT_NODE = 9, wxXML_DOCUMENT_TYPE_NODE = 10, wxXML_DOCUMENT_FRAG_NODE = 11, wxXML_NOTATION_NODE = 12, wxXML_HTML_DOCUMENT_NODE = 13 }
| Represents XML node type. More...
enum | wxXmlDocumentLoadFlag { wxXMLDOC_NONE, wxXMLDOC_KEEP_WHITESPACE_NODES }

## Macro Definition Documentation

#define wxXML_NO_INDENTATION (-1)

## Enumeration Type Documentation

enum wxXmlDocumentLoadFlag

Enumerator:

  wxXMLDOC_NONE |
  wxXMLDOC_KEEP_WHITESPACE_NODES |

enum wxXmlNodeType

Represents XML node type.

Enumerator:

  wxXML_ELEMENT_NODE |
  wxXML_ATTRIBUTE_NODE |
  wxXML_TEXT_NODE |
  wxXML_CDATA_SECTION_NODE |
  wxXML_ENTITY_REF_NODE |
  wxXML_ENTITY_NODE |
  wxXML_PI_NODE |
  wxXML_COMMENT_NODE |
  wxXML_DOCUMENT_NODE |
  wxXML_DOCUMENT_TYPE_NODE |
  wxXML_DOCUMENT_FRAG_NODE |
  wxXML_NOTATION_NODE |
  wxXML_HTML_DOCUMENT_NODE |